[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH 25/28] Convert ssh2 check to use LIBVIRT_CHECK_PKG



On 01/11/2013 04:06 AM, Daniel P. Berrange wrote:
> From: "Daniel P. Berrange" <berrange redhat com>
> 
> This converts the libssh2 configure check to use LIBVIRT_CHECK_PKG.
> Previously it would check version 1.0 and 1.3, but this simplifies
> things to just require version 1.3

Are we sure we want to do that?

Previously, with libssh2 1.0, it was possible to build phyp but not
qemu+libssh:///; with this change, building phyp now requires libssh2
1.3.  Then again, RHEL 5 only ships with libssh2-0.18, so we already
have platforms where we can't even support phyp.

Furthermore, we haven't had a very active phyp maintainer (most phyp
patches in the past year have been global maintenance cleanups, not
actual development), so if this situation actually impacts someone,
maybe it will convince them to speak up.  In the meantime, trying to
maintain libssh2 1.0 for phyp but not for the rest of the code base is
too prone to bitrot issues.

I've convinced myself - if phyp development were more active, then it
might be up for debate; but given the current situation, the change is
worthwhile as-is.

ACK.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]